/* $Id $
	------------------------------------------------------------------
	Copyright (C) 2012 Nicklas Nordborg

	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.

	BASE is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
	------------------------------------------------------------------

	@author Nicklas
*/

var Context = function()
{
	var context = {};
	
	/**
		Initialize the page.
	*/
	context.initPage = function()
	{
		// Buttons
		Buttons.addClickHandler('close', App.closeWindow);
		Buttons.addClickHandler('btnDeleteSelected', context.deleteSelected);
	}
	
	// Load the context with the given id
	context.loadContext = function(event)
	{
		var contextId = Data.int(event.currentTarget, 'context-id');
		var frm = document.forms['contexts'];
		var currentItemType = frm.item_type.value;
		var currentSubContext = frm.subcontext.value;
		var url = 'index.jsp?ID=' + App.getSessionId();
		url += '&cmd=LoadContext&item_type=' + currentItemType + '&subcontext='+currentSubContext+'&context_id='+contextId;
		location.href = url;
	}


	// Delete all contexts that have been selected
	context.deleteSelected = function()
	{
		var frm = document.forms['contexts'];
		var numChecked = Table.checkIfSelected('contexts');
		if (numChecked == 0) return; 
		
		var rep = numChecked == 1 ? 'context' : 'contexts';
		if (!confirm('You are about to delete '+numChecked+' '+rep+'. This can\'t be undone. Continue?'))
		{
			return;
		}
		frm.cmd.value = 'DeleteContexts';
		frm.submit();
	}

	context.initLoadContextLinks = function(element, autoInit)
	{
		if (autoInit != 'load-context') return;
		Events.addEventHandler(element, 'click', context.loadContext);
	}
	Doc.addElementInitializer(context.initLoadContextLinks);
	
	return context;
}();

Doc.onLoad(Context.initPage);