<%-- $Id: broadcast.jsp 6610 2014-11-20 11:48:06Z nicklas $
	------------------------------------------------------------------
	Copyright (C) 2008 Nicklas Nordborg

	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.

	BASE is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
	------------------------------------------------------------------

	@author Nicklas
--%>
<%@ page pageEncoding="UTF-8" session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.util.HTML"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
String title = (String)application.getAttribute("broadcast.title");
String message = (String)application.getAttribute("broadcast.message");
final SessionControl sc = Base.getSessionControl(pageContext, true);
final String ID = sc.getId();
final String serverAdminName = Values.getStringOrNull(sc.getClientDefaultSetting("server.admin.name"));
final String serverAdminEmail = Values.getStringOrNull(sc.getClientDefaultSetting("server.admin.email"));
final float scale = Base.getScale(sc);

%>
<base:page type="popup" title="<%=title%>">
<base:head scripts="~info.js"/>
<base:body data-read-only="1">
	<h1><%=HTML.encodeTags(title)%></h1>
	
	<div class="content bg-filled-50 bottomborder">
		<div class="absolutefull" style="top: 8px; bottom: 3em; left: 8px; right: 8px;">
		<%=HTML.niceFormat(message)%>
		</div>
		<div style="position: absolute; bottom: 0px; height: 3em; left: 0px; right: 0px;" class="topborder">
			<table style="margin: auto; height: 100%;"><tr><td>
				<b>Server administrator:</b> 
				<%=Values.getString(serverAdminName, "Unknown")%>
				<%=serverAdminEmail == null ? "": ", <a href=\"mailto:"+serverAdminEmail+"\">"+serverAdminEmail+"</a>"%>
			</td></tr></table>
		</div>
	</div>
	
	<base:buttongroup subclass="dialogbuttons">
		<base:button id="close" title="Close" />
	</base:buttongroup>
</base:body>
</base:page>
